AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

Fetch all subaccounts

This section describes how to list all collection subaccounts on Flutterwave.

Last updated 13 September 2026

get

https://api.flutterwave.com/v3/subaccounts

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

account_bank string
This is the sub-accounts bank ISO code

account_number string
This is the account number associated with the subaccount you want to fetch

bank_name string
This is the name of the bank associated with the ISO code provided in account_bankfield

page int 32
This is the page number to retrieve e.g. setting 1 retrieves the first page

FILL IN ALL REQUIRED FIELDS

status string

message string

meta object

FILL IN ALL REQUIRED FIELDS

page_info object

FILL IN ALL REQUIRED FIELDS

total integer

current_page integer

total_pages integer

data array of objects

FILL IN ALL REQUIRED FIELDS

id integer

account_number string

account_bank string

business_name string

full_name string

created_at string

meta array of objects

FILL IN ALL REQUIRED FIELDS

meta_name string

meta_value string

account_id integer

split_ratio integer

split_type string

split_value number

subaccount_id string

bank_name string

country string

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys